#ifndef MODELE_TABLE_H
#define MODELE_TABLE_H

#include <QAbstractTableModel>
#include <QList>

class QDragEnterEvent;
class QDropEvent;

class ModeleTable : public QAbstractTableModel
{
	private :
		QList<QList<QString> > liste;
	
	public :
		ModeleTable(QObject *parent = 0);
		
		int rowCount(const QModelIndex &parent) const;
		int columnCount(const QModelIndex &parent) const;
		QVariant data(const QModelIndex &index, int role) const;
		bool setData(const QModelIndex &index, const QVariant &value, int role);
		Qt::ItemFlags flags(const QModelIndex &index) const;
};

#endif
